Subject: Merge haskell-ts-mode to master

From: Pranshu Sharma <[email-masked]>
Date: Mon, 30 Dec 2024 01:22:54 +1000

Hello all,

This is request to merge haskell-ts-mode to master.  The code is here
https://codeberg.org/pranshu/haskell-ts-mode , but I also attacched
file.  I suggest you look in codeberg repo for latest changes.

Phillip kauldarlic has done a review of the non-treesit specific part of
the code in emacs-devel, *I need someone* to review treesit specific
parts of it now.

-- 
Pranshu Sharma <https://p.bauherren.ovh>